PHP 手冊
前一頁 |  | 下一頁

# exif_thumbnail

(PHP 4 >= 4.2.0, PHP 5)

exif_thumbnail -- Retrieve the embedded thumbnail of a TIFF or JPEG image

## Description

string exif_thumbnail ( string filename [, int &width [, int &height [, int &imagetype]]] )

exif_thumbnail() reads the embedded thumbnail of a TIFF or JPEG image.

If you want to deliver thumbnails through this function, you should send the mimetype information using the header() function.

It is possible that exif_thumbnail() cannot create an image but can determine its size. In this case, the return value is `FALSE` but width and height are set.

## Parameters

filename

  The name of the image file being read. This image contains an embedded thumbnail.

width

  The return width of the returned thumbnail.

height

  The returned height of the returned thumbnail.

imagetype

  The returned image type of the returned thumbnail. This is either TIFF or JPEG.

## Return Values

Returns the embedded thumbnail, or `FALSE` if the image contains no thumbnail.

## ChangeLog

Version | Description
--- | ---
4.3.0 | The optional parameters width, height, and imagetype all became available.
4.3.0 | May return thumbnails in the TIFF format.

## 範例

範例 1. exif_thumbnail() example

`<?php if (array_key_exists('file', $_REQUEST)) { $image = exif_thumbnail($_REQUEST['file'], $width, $height, $type); } else { $image = false; } if ($image!==false) { header('Content-type: ' .image_type_to_mime_type($type)); echo $image; exit; } else { // no thumbnail available, handle the error here echo 'No thumbnail available'; } ?>`

## 參考

exif_read_data()
image_type_to_mime_type()

前一頁 | 內容 | 下一頁
exif_tagname | 上一層 | read_exif_data